<div class="noprint">
    <div class="row-fluid">
        <form name="myForm" ng-submit="vm.apply()" novalidate>
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="6">
                        <a class="btn btn-link" href="javascript:void(0)"
                           ng-click="vm.hideForm=!vm.hideForm">
                            <span class="glyphicon glyphicon-{{vm.hideForm ? 'expand' : 'collapse-down'}}"></span>&nbsp;Parametri
                            Ricerca</a>
                    </th>
                </tr>
                </thead>
                <tbody ng-if="!vm.hideForm">
                <tr>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px"> <span
                                class="redColor"
                                ng-show="form.process.$invalid">*</span>DSP</label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
								<span class="span10">
								<div class="input-large">
							 <div ng-dropdown-multiselect=""
                                  options="vm.dspCountries.dsp"
                                  selected-model="vm.filter.dsp"
                                  checkboxes="false" 
                                  events="vm.events.dsp"
                                  extra-settings="vm.multiselectDsp"></div>
								</div>
								</span>
                        </div>
                    </td>
                    <td class="fieldLabel medium">
                        <label class="muted pull-right marginRight10px"> <span
                                class="redColor"
                                ng-show="form.process.$invalid">*</span>TERRITORIO</label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
								<span class="span10">
                                    <input type="hidden"
                                           ng-model="vm.filter.country"
                                           ng-required="!vm.filter.periodFrom && !vm.filter.periodTo">
								<div class="input-large">
									<div ng-dropdown-multiselect
                                         options="vm.dspCountries.countries"
                                         selected-model="vm.filter.country"
                                         data-checkboxes="false"
                                         extra-settings="vm.multiselectSettings"></div>
								</div>
								</span>
                        </div>
                    </td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px">OFFERTA
                        COMMERCIALE
                    </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
							<span class="span10">
								<div class="input-large">
									<div ng-dropdown-multiselect
                                         options="vm.commercialOffers"
                                         selected-model="vm.filter.commercialOffer"
                                         checkboxes="false"
                                         extra-settings="vm.multiselectSettingsCommercialOffers"></div>
								</div>
							</span>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">&nbsp;</td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px">
                        PERIODO DA </label></td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <input type="hidden" ng-model="vm.filter.periodFrom"
                                   ng-required="!vm.filter.country && !vm.filter.periodTo">
                            <datepicker date-value="vm.filter.periodFrom"
                                        data-placeholder="mm-aaaa"
                                        data-format="mm-yyyy"
                                        data-language="it"
                                        data-view-mode="months"
                                        data-min-view-mode="months"
                                        data-orientation="bottom auto"
                                        data-autoclose="true"
                                        data-start-date="{{vm.periodLimits.minPeriod}}"
                                        data-end-date="{{vm.periodLimits.maxPeriod}}"
                                        data-on-update="vm.updateDateValue('periodFrom', value)"
                            ></datepicker>
                        </div>
                    </td>
                    <td class="fieldLabel medium"><label
                            class="muted pull-right marginRight10px">PERIODO
                        A </label>
                    </td>
                    <td class="fieldValue medium">
                        <div class="row-fluid">
                            <input type="hidden" ng-model="vm.filter.periodTo"
                                   ng-required="!vm.filter.country && !vm.filter.periodFrom">
                            <datepicker date-value="vm.filter.periodTo"
                                        data-placeholder="mm-aaaa"
                                        data-format="mm-yyyy"
                                        data-language="it"
                                        data-view-mode="months"
                                        data-min-view-mode="months"
                                        data-orientation="bottom auto"
                                        data-autoclose="true"
                                        data-start-date="{{vm.periodLimits.minPeriod}}"
                                        data-end-date="{{vm.periodLimits.maxPeriod}}"
                                        data-on-update="vm.updateDateValue('periodTo', value)"
                            ></datepicker>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="fieldLabel medium" style="text-align: right"
                        nowrap
                        colspan="8">
                        <button ng-disabled="myForm.$invalid" type="submit" style="float: right"
                                class="btn addButton">
                            <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Applica</strong>
                        </button>
                        <button ng-click="vm.reset($event)"
                                class="btn addButton">
                            <span class="glyphicon glyphicon-erase"></span>&nbsp;&nbsp;<strong>Cancella</strong>
                        </button>
                    </td>
                </tr>
                </tbody>
            </table>
        </form>
    </div>
</div>
